W_REGISTER_NOTIFY_FUNC(3)

FUNCTION
w_register_notify_func - Register new work function callback.

SYNOPSIS
#include <karma_w.h>

void w_register_notify_func

(void (*func) (void *info), void *info)

DESCRIPTION
This routine will register a routine which is called whenever a new work function is registered.

func
    The function that is called when a new work function is registered. The prototype function is <-w_PROTO_new_func->.

info
    The initial arbitrary information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/